<?php
defined('_JEXEC') or die('Restricted access');

class JElementFilenameGlobal extends JElement {

    var $_name = 'FilenameGlobal';
    
    protected static $_count = 1;   

    function fetchElement($name, $value, &$node, $control_name) {

        $layout_name = str_replace('layout_', '', $node->attributes('name'));

        $zoo = App::getInstance('zoo');
        $templateName = $zoo->zoo->getApplication()->getTemplate()->name;
        $zoo_application_path = $zoo->path->path('media:zoo/applications');
        
        $template_dir = dirname(__FILE__);
        $template_dir = str_replace($zoo_application_path, '', JPath::clean($template_dir));
        $template_dir = explode(DS, $template_dir);
        $template_dir = $template_dir[1];
        
        $path = $zoo_application_path. '/'.$template_dir.'/templates/'.$templateName.'/renderer/'.$layout_name;
        $path = JPath::clean($path);
        $options = array();
        
        $options[] = JHTML::_('select.option', '__auto__', JText::_('AUTOSELECT'));
        if (is_dir($path)) {
            foreach (JFolder::files($path, '^([-_A-Za-z0-9]*)\.php$', false, false, array('.svn', 'CVS')) as $tmpl) {
                $tmpl = basename($tmpl, '.php');
                $options[] = JHTML::_('select.option', $tmpl, $tmpl);
            }
        }

        // load script
        JHTML::script('listglobal.js', 'administrator/components/com_zoo/joomla/elements/');    
        $id      = 'list-global-'.self::$_count++;
        $class   = $node->attributes('class') ? 'class="'.$node->attributes('class').'"' : 'class="inputbox"';
        $global  = $this->_parent->getValue($name) === null;

        $html[] = '<div class="global list-global">';
        $html[] = '<input id="'.$id.'" type="checkbox" name="_global" value="'.$control_name.'['.$name.']'.'"'.($global ? ' checked="checked"' : '').' />';
        $html[] = '<label for="'.$id.'"> '.JText::_('Global').'</label>';
        $html[] = '<div class="input">';        
        $html[] = JHTML::_('select.genericlist',  $options, ($global ? '' : $control_name.'['.$name.']'), $class, 'value', 'text', $value, $control_name.$name);
        $html[] = '</div>';
        $html[] = '</div>';
        
        return implode("\n", $html);
    }

}