<?php
defined('_JEXEC') or die('Restricted access');

preg_match('#\_(.*?)\.php#i', $layout_filename, $layout_name);
$layout_name = $layout_name[1];

$layout_path = dirname(__FILE__) .DS. 'renderer' .DS. $layout_name;

$tmplFullPaths = array();
$tmplFullPaths[] = $this->params->get('config.layout_'.$layout_name, '_default');
$tmplFullPaths[] = $this->application->alias . (($alias !== null) ? '.'.$alias : '') ;
$tmplFullPaths[] = $this->application->alias;
$tmplFullPaths[] = $alias;
$tmplFullPaths[] = '_default';

$isIncluded = false;
foreach($tmplFullPaths as $tmplFullPath) {
    
    $tmplFullPath = $layout_path .DS. $tmplFullPath .'.php';
    
    if (JFile::exists($tmplFullPath)) {    
        $isIncluded = true;
        include($tmplFullPath);
        break;
    }
}


if ($isIncluded == false) {
	$error_text = $this->getLayout().':'.$layout_name.':'.($layout_theme ? $layout_theme : 'default');
	JError::raiseError( 500, JText::_('Error Displaying Layout').' ("'.$error_text.'" not found!)');
}
